#
# spec file for package nfsidmap (Version 0.12)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison brp-check-internal bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl cyrus-sasl-devel db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-32bit glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libgssapi libmudflap libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openldap2-devel openssl openssl-devel pam pam-modules patch perl permissions popt post-build-checks procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd tcpd-devel texinfo timezone unzip util-linux vim zlib zlib-devel


Name:           nfsidmap
BuildRequires:  openldap2-devel tcpd-devel
Url:            http://nfs.sourceforge.net
Summary:        NFSv4 ID Mapping Library
Version:        0.12
Release:        16.20
Group:          Productivity/Networking/NFS
License:        BSD 3-Clause
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
PreReq:         %fillup_prereq %insserv_prereq
AutoReqProv:    on
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        http://www.citi.umich.edu/projects/nfsv4/linux/libnfsidmap/libnfsidmap-%{version}.tar.gz
Source1:        README.ldap
Source2:        nfsv4-idmapping.pdf.bz2
Source3:        nfsv4.schema
Patch0:         libnfsidmap-0.12-nouser.patch
Patch1:         libnfsidmap-0.12-ldapsrch
Patch2:         libnfsidmap-0.12-getpwnam_r-returnfix.patch
Patch3:         libnfsidmap-%version-large-groups-fix.patch

%description
In NFSv4, identities of users are conveyed by names rather than user ID
and group ID. Both the NFS server and client code in the kernel need to
translate these to numeric IDs.



Authors:
--------
    J. Bruce Fields <bfields@citi.umich.edu>

%debug_package
%prep
%setup -q -n libnfsidmap-%version
cp %{S:1} %{S:2} %{S:3} .
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p1

%build
%{?suse_update_config:%{suse_update_config -f }}
CFLAGS="$RPM_OPT_FLAGS -DLDAP_DEPRECATED" ./configure \
	--prefix=%{_prefix} \
	--mandir=%{_mandir} \
	--libdir=%{_libdir}
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc README README.ldap nfsv4-idmapping.pdf* nfsv4.schema
%attr(555,root,root) %{_libdir}/lib*.so*
%attr(444,root,root) %{_libdir}/lib*.a*
%attr(444,root,root) %{_libdir}/lib*.la*
%attr(444,root,root) %{_includedir}/*.h
%attr(444,root,root) %{_mandir}/man?/*

%changelog
* Fri Jan 09 2009 - meissner@suse.de
- handle very large groups in a way that they do not suddenly
  report group membership "nobody". bnc#348609
* Tue Jul 17 2007 - meissner@suse.de
- fixed a return condition which could lead to a failed
  name lookup to still return success. #291870
* Mon Dec 04 2006 - okir@suse.de
- Added UMich LDAP schema file (plus README) as per
  FATE request #301375
* Tue Apr 25 2006 - okir@suse.de
- Stop adding ou=People to LDAP search string; now it
  works with eDirectory (#169152)
* Mon Mar 20 2006 - okir@suse.de
- Do not crash if user is not in passwd database (#154912)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 10 2006 - okir@suse.de
- Updated to latest upstream version
* Tue Oct 18 2005 - ro@suse.de
- added -DLDAP_DEPRECATED to CFLAGS
* Tue May 31 2005 - okir@suse.de
- Initial packaging
